com.pivotal.gemfirexd.internal.client.net

## Class FinalizeSingleHopResultSet

- java.lang.Object
- - java.lang.ref.Reference<T>
  - - java.lang.ref.WeakReference<Object>
    - - com.gemstone.gemfire.internal.shared.FinalizeObject
      - - com.pivotal.gemfirexd.internal.client.net.FinalizeSingleHopResultSet

All Implemented Interfaces:
  com.gemstone.gnu.trove.TLinkable, Serializable

    public class FinalizeSingleHopResultSet
    extends com.gemstone.gemfire.internal.shared.FinalizeObject

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.gemstone.gemfire.internal.shared.FinalizeObject

`com.gemstone.gemfire.internal.shared.FinalizeObject.BatchFinalize, com.gemstone.gemfire.internal.shared.FinalizeObject.State`

### Constructor Summary

Constructors
Constructor and Description
`FinalizeSingleHopResultSet(SingleHopResultSet rs, NetConnection.DSConnectionInfo dsConnInfo)`

### Method Summary

Methods
`protected void` `clearThis()`
`protected boolean` `doFinalize()`
`protected com.gemstone.gemfire.internal.shared.FinalizeHolder` `getHolder()`
`void` `nullConnection(NetConnection conn)`
`void` `resetAndDoFinalize()`

### Methods inherited from class com.gemstone.gemfire.internal.shared.FinalizeObject

`clear, clearAll, clearFinalizationQueues, getClientHolder, getNext, getPrevious, getServerHolder, setNext, setPrevious`

### Methods inherited from class java.lang.ref.Reference

`enqueue, get, isEnqueued`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FinalizeSingleHopResultSet

    public FinalizeSingleHopResultSet(SingleHopResultSet rs,
                              NetConnection.DSConnectionInfo dsConnInfo)

### Method Detail

#### doFinalize

    protected boolean doFinalize()
                          throws Exception

Specified by:
  `doFinalize` in class `com.gemstone.gemfire.internal.shared.FinalizeObject`
Throws:
  `Exception`

#### nullConnection

    public void nullConnection(NetConnection conn)

#### resetAndDoFinalize

    public void resetAndDoFinalize()

#### getHolder

    protected final com.gemstone.gemfire.internal.shared.FinalizeHolder getHolder()

Specified by:
  `getHolder` in class `com.gemstone.gemfire.internal.shared.FinalizeObject`

#### clearThis

    protected void clearThis()

Specified by:
  `clearThis` in class `com.gemstone.gemfire.internal.shared.FinalizeObject`